> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Bulk sending envelopes

> Describes the bulk send feature with examples of how to send copies of a specific envelope to multiple bulk recipients.

## Bulk sending envelopes

You can use bulk sending to send an envelope to a list of recipients, each of whom will receive a copy of the chosen envelope to read or sign. When compared to creating and sending individual envelopes to each recipient, bulk sending saves time by enabling you to use a single call to send out many envelopes to a customized list of recipients.

Each bulk send operation is performed in these general steps:

1. **Create envelopes:** Create one or more envelopes to be bulk sent. Envelopes used for bulk send are identical to normal envelopes, but you can set desired values of the following envelope properties programmatically in the bulk send list, rather than when you create the envelope:

   * Recipients

     * All tabs assigned to the recipients
     * Recipient authentication requirements (such as phone, fax, or SMS)
     * Email subject
   * Email description text
   * Envelope custom fields

     > **Note:** Although these properties will typically be set in the bulk send list, you must still add placeholder values for all required envelope fields in this step, including the envelope custom fields.
2. **Create bulk send list:** Use the [POST /v2.1/accounts/\{accountId}/bulk_send_lists](/docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendlist) endpoint (or equivalent `createBulkSendList` SDK method) to create a JSON block that holds information about the recipients, email description, and custom fields for each bulk copy of the envelope to be sent.
3. **Validate envelopes:** Validate the bulk send list, providing the list ID and specifying the ID of the envelope to use in the request body. See [Bulk send list validation](/docs/esign-rest-api/esign101/concepts/envelopes/bulk-send#validation) for details on how logical consistency is enforced.
4. Bulk send envelopes: Send the bulk send list by calling the [POST /v2.1/accounts/\{accountId}/bulk_send_lists/\{listId}/send](/docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendrequest) API endpoint (or equivalent `createBulkSendRequest` SDK method.

## Bulk send list validation

Each time you create a new bulk send list, the following rules are enforced to perform logical consistency. The list must comply with all of the rules below, or the bulk send will fail.

These rules are also enforced when you call the [POST /v2.1/accounts/\{accountId}/bulk_send_lists/\{listId}/test](/docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendtestrequest)endpoint endpoint (or the equivalent `createBulkSendTestRequest` SDK method), which should be done before sending the envelope (to determine that it is still valid if it was changed after creation) to make sure that the operation is successful:

* Recipients

  * Recipient IDs within each copy must be unique
  * Recipient IDs must be provided for each recipient
  * Email recipients must have email addresses
  * Fax numbers are required for fax recipients
  * Fax numbers must be valid phone numbers
  * Phone authentication numbers must be valid phone numbers
  * Email addresses must be valid
  * SMS authentication requires valid phone numbers
* Recipient Tabs

  * Tab labels must be unique within each recipient
  * Tab labels are required for each tab
  * Tab values are required for each tab
  * Every recipient ID/tab label pair in the bulk send list must correspond to a tab defined in the envelope
* Custom Fields

  * Envelope Custom Field names must be unique within each copy
  * Envelope Custom Fields must have names
  * Each Envelope Custom Field name in the bulk send list must match a Custom Field name in the envelope

## Bulk sending limits

When bulk sending envelopes, the size of the envelope to be bulk-sent cannot exceed 75 MB.

## Next steps

To see a code example demonstrating how to implement bulk send, see [How to bulk send envelopes](/docs/esign-rest-api/how-to/bulk-send-envelopes).